
**Creacin de la variable trimes para agrupacin de los meses por trimestres en el ao**.
numeric trimes (F1.0).
RECODE mes_movi
(1 thru 3 =1) 
(4 thru 6 =2) 
(7 thru 9 =3) 
(10 thru 12 = 4) into trimes.
EXECUTE.

VARIABLE LABELS trimes 'Trimestres'.

VALUE LABELS trimes
1 "1er Trimestre"
2 "2do Trimestre"
3 "3er Trimestre"
4 "4to Trimestre".
execute.

**Creacin de la variable gedad1 edad para hacer grupos de personas  en rangos de 5 aos de edad**.
IF(edad<5) gedad1 =1.
IF(edad>=5 & edad<10) gedad1 =2.
IF(edad>=10 & edad<15) gedad1 =3.
IF(edad>=15 & edad<20) gedad1 =4.
IF(edad>=20 & edad<25) gedad1 =5.
IF(edad>=25 & edad<30) gedad1 =6.
IF(edad>=30 & edad<35) gedad1 =7.
IF(edad>=35 & edad<40) gedad1 =8.
IF(edad>=40 & edad<50) gedad1 =9.
IF(edad>=50 & edad<60) gedad1 =10.
IF(edad>=60 & edad<70) gedad1 =11.
IF(edad>=70) gedad1 =12.
execute.

Variable labels gedad1 "Grupos de edad1".
VALUE LABELS gedad1
1'0-4'
2'5-9'
3'10-14'
4'15-19'
5'20-24'
6'25-29'
7'30-34'
8'35-39'
9'40-49'
10'50-59'
11'60-69'
12'70 y ms'.
execute. 

alter type gedad1 (F2.0).

**Creacin de la variable gedad2 para agrupaciones de rangos de edad  de 10 en 10 aos**.

if (edad <10) gedad2 = 1.
if (edad >=10 and edad <=19) gedad2 = 2.
if (edad >=20 and edad <=29) gedad2 = 3.
if (edad >=30 and edad <=39) gedad2 = 4.
if (edad >=40 and edad <=49) gedad2 = 5.
if (edad >=50 and edad <=59) gedad2 = 6.
if (edad >=60) gedad2 = 7. 
Execute. 

VARIABLE LABELS gedad2 "Grupos de edad2". 
value labels gedad2
1 "Menores de 10 aos"
2 "10 a 19 aos"
3 "20 a 29 aos"
4 "30 a 39 aos"
5 "40 a 49 aos"
6 "50 a 59 aos"
7 "60 aos y ms".

alter type gedad2 (F2.0).

**Creacin de la variable ocu_migr1 para recodificar las ocupaciones segn los grupos de ocupacin de la CIUO -08**.
string ocu_migr1 (A1). 
compute ocu_migr1 = ocu_migr.
variable level ocu_migr1 (NOMINAL).
execute.

numeric ocu_migr2 (F2.0).
recode ocu_migr1
('0' = 0)
('1' = 1)
('2' = 2)
('3' = 3)
('4' = 4)
('5' = 5)
('6' = 6)
('7' = 7)
('8' = 8)
('9' = 9)
('J' = 10)
('E' = 11)
('M' = 12)
('A' = 13)
('S' = 14) INTO ocu_migr2. 
execute. 

value labels ocu_migr2
0 " Ocupaciones militares"
1 " Directores y gerentes"
2 "Profesionales, cientficos e intelectuales"
3 "Tcnicos y profesionales de nivel medio"
4 "Personal de apoyo administrativo"
5 "Trabajadores de los servicios y vendedores de comercios y mercados"
6 "Agricultores y trabajadores calificados agropecuarios, forestales y pesqueros"
7 "Oficiales, operarios y artesanos de artes mecnicas y de otros oficios"
8 "Operadores de instalaciones y mquinas y ensambladores"
9 "Ocupaciones elementales"
10 " Jubilados y pensionistas"
11 " Estudiantes"
12 " Menores de edad"
13 "Amas de casa"
14 " Sin especificar". 
execute.

delete variables ocu_migr1.

**Creacin de la variable tip_pob partiendo de la variable grupos de ocupacin para identificar a la Poblacin activa e inactiva**

numeric tip_pob (F1.0).
compute tip_pob = ocu_migr2.

RECODE tip_pob
(0, 1, 2, 3, 4, 5, 6, 7, 8, 9 = 1) (10, 11, 12, 13 = 2) (14 = 3).
EXECUTE .

variable labels tip_pob "Tipo de poblacin".
VALUE LABELS tip_pob
1'Poblacin Activa'
2'Poblacin Inactiva'
3'Sin especificar'.

**Creacin de la variable cla_migr2 segn formatos de tabulados en residentes y no residentes.

alter type cla_migr (F2.0).

NUMERIC var1 (F2.0).
compute var1 = cla_migr.
execute. 

RECODE var1
(1 thru 6 =1)(50=1)(55=1)(65=1)(66=2)(67=1)(68=2)(70=1)(80=1)(85=1)(88=1)(90=1)(21 thru 27=1)(41 thru 43 =2)(60=2)(29=2)(28=2)(0=3)
INTO cla_migr1.
EXECUTE.

ADD VALUE LABELS cla_migr1
1 'Residentes'
2 'No residentes'
3 'Sin especificar'.
execute.

**Creacin de la variable subgrupo de tipo de residentes y no residentes con las clasificaciones especificadas**

RECODE var1
(1 thru 6 =1)(50=1)(55=2)(65=2)(66=4)(68=4)(70=2)(80=2)(85=2)(88=2)(90=2)(21 thru 27=2)(41=3)(42 thru 43=4)(60=5)(29=7)(28=6)(0=8)(67=1)
INTO cla_migr2.
EXECUTE .

ADD VALUE LABELS cla_migr2
1'Permanentes'
2'Temporales'
3'Turismo'
4'Trnsito'
6'Intercambio cultural'
7'Oficial'
8'Sin especificar'.
Execute.

**Creacin de  variable cla_migr3 segn Inmigrantes o no Inmigrantes 

RECODE var1
(1 thru 6 =1)(50=1)(55=2)(65=2)(66=2)(67=1)(68=2)(70=2)(80=2)(85=2)(88=2)(90=2)(21 thru 27=2)(41=2)(42 thru 43=2)(60=2)(29=2)(28=2)(0=3)
INTO cla_migr3.
EXECUTE .

ADD VALUE LABELS cla_migr3
1'Inmigrantes'
2'No inmigrantes'
3'Sin especificar'.
execute. 

**Creacin de la variable cla_migr4 segn las categorias de los tipos de clases de migracin

RECODE var1
(0=0)(1=1)(2=2)(3=3)(4=4)(5=5)(6=6)(50=50)(21=21)(22=22)(23=23)(24=24)(55=24)(25=25)(26=26)(80=26)(85=26)(90=26)(27=27)(28=28)(29=29)
(41=43)(42=42)(43=41)(60=60)(65=65)(70=70)(88=88)(66=66)(67=67)(68=68)
INTO cla_migr4.
EXECUTE .

ADD VALUE LABELS cla_migr4
0 'Sin especificar'
1 '10-I'
2 '10-II'
3 '10-III'
4 '10-IV'
5 '10-V'
6 '10-VI'
50 'Residentes(sin clase migratoria)'
21 '12-I'
22 '12-II'
23 '12-III'
24 '12-IV'
25 '12-V'
26 '12-VI'
27 '12-VII'
28 '12-VIII'
29 '12-IX'
41 'T1'
42 'T2'
43 'T3'
60 'Prrrogas'
65 '12-XI'
66 'Tripulante areo'
67 'Categora migratoria 9VII'
68 'Tripulante martimo'
70 'Doble nacionalidad'
88 'Clase migratoria para ecuatorianos'.
Execute. 

**Creacin de la variable cla_migr5 para la clasificacin migratoria sin clase migratoria para ecuatorianos

RECODE var1
(0=0)(1=1)(2=2)(3=3)(4=4)(5=5)(6=6)(50=50)(21=21)(22=22)(23=23)(24=24)(55=24)(25=25)(26=26)(80=26)(85=26)(90=26)(27=27)(28=28)(29=29)
(41=43)(42=42)(43=41)(60=60)(65=65)(70=70)(66=66)(67=67)(68=68)
INTO cla_migr5.
EXECUTE .

ADD VALUE LABELS cla_migr5
0'Sin especificar'
1'10-I'
2'10-II'
3'10-III'
4'10-IV'
5'10-V'
6'10-VI'
50'Residentes(sin clase migratoria)'
21'12-I'
22'12-II'
23'12-III'
24'12-IV'
25'12-V'
26'12-VI'
27'12-VII'
28'12-VIII'
29'12-IX'
41'T1'
42'T2'
43'T3'
60'Prrrogas'
65'12-XI'
66'Tripulante areo'
67'Categora migratoria 9VII'
68'Tripulante martimo'
70'Doble nacionalidad'.
Execute. 

alter type cla_migr1 (F2.0) cla_migr2 (F2.0) cla_migr3 (F2.0) cla_migr4 (F2.0) cla_migr5 (F2.0).
execute. 

**Creacin de variable para tabulados (Total)**.
numeric total (F1.0).
COMPUTE total=1. 
VALUE LABELS total
1'Total'.
execute. 

recode tip_movi
(1 = 1) (2 = -1) into saldo.
execute.

formats saldo (F1.0).

variable level 
trimes
gedad1
gedad2
ocu_migr2
var1
cla_migr1
cla_migr2
cla_migr3
cla_migr4
cla_migr5
total
saldo
tip_pob
(nominal). 

*************************************************CUADRO No. 1: Entradas y Salidas de Ecuatorianos y Extranjeros Segn Aos y Sexo **************************************
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=sex_migr tip_naci tip_movi DISPLAY=NONE
  /TABLE sex_migr [C] BY tip_naci [C] > tip_movi [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=sex_migr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=tip_naci tip_movi ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='Entradas y salidas de ecuatorianos y extranjeros segn aos y sexo'
    CAPTION='Anuario de entradas y salidas internacionales - INEC'.


*************************************************CUADRO No. 2: Entrada y Salida de Ecuatorianos y Extranjeros por trimestres **************************************

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=tip_movi tip_naci DISPLAY=NONE  /VLABELS VARIABLES=trimes DISPLAY=LABEL
  /TABLE tip_movi BY trimes > tip_naci [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=tip_movi trimes tip_naci ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=BEFORE
  /TITLES
    TITLE='Entrada y salida de ecuatorianos y extranjeros por trimestres'
    CAPTION='Anuario de entradas y salidas internacionales - INEC'.

*************************************************CUADRO No. 3: Entrada y Salida de Ecuatorianos segn meses **************************************

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=mes_movi DISPLAY=LABEL  /VLABELS VARIABLES=tip_naci tip_movi sex_migr 
    DISPLAY=NONE
  /TABLE mes_movi BY tip_naci > tip_movi > sex_migr [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=mes_movi tip_movi sex_migr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=tip_naci [1] EMPTY=INCLUDE
  /TITLES
    TITLE='Entrada y salida de ecuatorianos segn meses'
    CAPTION='Anuario de entradas y salidas internacionales - INEC'.

*************************************************CUADRO No. 4: Entrada y Salida de Extranjeros segn meses****************************************

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=mes_movi DISPLAY=LABEL  /VLABELS VARIABLES=tip_naci tip_movi sex_migr 
    DISPLAY=NONE
  /TABLE mes_movi [C] BY tip_naci [C] > tip_movi [C] > sex_migr [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=mes_movi tip_movi sex_migr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=tip_naci [2] EMPTY=INCLUDE
  /TITLES
    TITLE='Entrada y salida de extranjeros segn meses'
    CAPTION='Anuario de entradas y salidas internacionales - INEC'.

*************************************************CUADRO No. 5: Saldos Brutos Migratorios de Ecuatorianos y Extranjeros por Sexo, segn Meses****************************************

CTABLES
  /VLABELS VARIABLES=mes_movi tip_naci sex_migr DISPLAY=NONE
  /TABLE mes_movi [C] BY (tip_naci [C] > sex_migr[C]) BY saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=mes_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=sex_migr ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=tip_naci ORDER=A KEY=VALUE EMPTY=EXCLUDE
/TITLES TITLE= 'Saldos brutos migratorios de ecuatorianos y extranjeros por sexo, segn meses'
 CAPTION='Anuario de entradas y salidas internacionales - INEC'
 CORNER= 'Meses'.

*************************************************CUADRO No. 6: Entradas y Salidas de Ecuatorianos y Extranjeros, segn Medios de Transporte y Jefaturas de Migracin****************************************

TEMPORARY.
VARIABLE LABELS saldo 'Saldo'.
VALUE LABELS total 1'Total'.
CTABLES
  /VLABELS VARIABLES=total via_tran can_jefm tip_naci tip_movi DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL
  /TABLE total [C] + via_tran [C] > can_jefm [C] BY tip_naci [C] > tip_movi [C][COUNT F40.0] + 
    tip_naci [C] > saldo [S][SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=total tip_naci tip_movi ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=via_tran ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=can_jefm ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas y salidas de ecuatorianos y extranjeros, segn medios de transporte y Jefaturas de migracin'
 CAPTION='Anuario de entradas y salidas internacionales - INEC'
 CORNER= 'Medios de Transporte'.

*************************************************CUADRO No. 7: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros segn Jefaturas de Migracin y Sexo****************************************

TEMPORARY.
VARIABLE LABELS saldo 'Saldo'.
CTABLES
  /VLABELS VARIABLES=total sex_migr can_jefm tip_naci tip_movi DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL
  /TABLE can_jefm [C] > sex_migr [C] BY tip_naci [C] > tip_movi [C][COUNT F40.0] + 
    tip_naci [C] > saldo [S][SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= tip_naci tip_movi ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=sex_migr ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=can_jefm ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros segn jefaturas de migracin y sexo'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'JEFATURAS DE MIGRACIN Y SEXO'.

*************************************************CUADRO No. 8: Entradas y Salidas de Extranjeros por Sexo, segn Nacionalidad*****************************************

SET MXCELLS AUTOMATIC. 
USE ALL.
TEMPORARY.
alter type tip_naci (F1.0).
COMPUTE filter_$ = (tip_naci = 2).
Variable labels filter_$ "Extranjeros".
VALUE LABELS filter_$  
0 "No seleccionado" 
1 "Seleccionado".
execute. 

formats filter_$ (F1.0).
variable Level filter_$ (nominal).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL
  /TABLE total [C] + cont_nac [C] > subcont_nac [C] > nac_migr [C] BY tip_movi > sex_migr [C]  [COUNT F40.0] + 
    saldo [S][SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=  tip_movi cont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=sex_migr subcont_nac nac_migr ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas y salidas de extranjeros por sexo, segn nacionalidad'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*************************************************CUADRO No. 9: Entradas de Ecuatorianos y Extranjeros por Sexo, segn Paises de Procendencia*****************************************

SET MXCELLS AUTOMATIC. 
 
USE ALL.
TEMPORARY.
alter type tip_movi (F1.0).
COMPUTE filter_$=(tip_movi=1).
VARIABLE LABELS filter_$ "Entradas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
formats filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total tip_naci cont_prod subcont_prod pais_prod lug_pro sex_migr DISPLAY=NONE
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod > lug_pro [C] BY tip_naci > sex_migr [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total tip_naci cont_prod ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=sex_migr subcont_prod pais_prod lug_pro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas de ecuatorianos y extranjeros por sexo, segn pases de procendencia'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Pas de procedencia'.

*************************************************CUADRO No. 10: Salidas de Ecuatorianos y Extranjeros por Sexo, segn Paises de Destino*****************************************

SET MXCELLS AUTOMATIC. 
 
USE ALL.
TEMPORARY.
alter type tip_movi (F1.0).
COMPUTE filter_$=(tip_movi=2).
VARIABLE LABELS filter_$ "Salidas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
formats filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total tip_naci cont_prod subcont_prod pais_prod lug_pro sex_migr DISPLAY=NONE
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod > lug_pro [C] BY tip_naci > sex_migr [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total tip_naci cont_prod ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=sex_migr subcont_prod pais_prod lug_pro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Salidas de ecuatorianos y extranjeros por sexo, segn paises de destino'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Pas de destino'.

*************************************************CUADRO No. 11: Salidas de Ecuatorianos por Grupos de Edad, segn Paises de Destino*****************************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$=(tip_movi = 2  &  tip_naci = 1).
VARIABLE LABELS filter_$ "Salida de Ecuatorianos".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS gedad1 'Grupos de Edad'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_prod subcont_prod pais_prod lug_pro gedad1 DISPLAY=NONE
  /VLABELS VARIABLES=gedad1 DISPLAY=LABEL
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod > lug_pro [C] BY gedad1 [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=  total cont_prod  ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=gedad1 subcont_prod pais_prod lug_pro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Salidas de ecuatorianos por grupos de edad, segn paises de destino'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Pases de destino'.

*************************************************CUADRO No. 12: Entradas de Ecuatorianos por Grupos de Edad, segn Pases de Procedencia*****************************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$=(tip_movi = 1  &  tip_naci = 1).
VARIABLE LABELS filter_$  "Entrada de Ecuatorianos".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS gedad1 'Grupos de Edad'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_prod subcont_prod pais_prod lug_pro DISPLAY=NONE
  /VLABELS VARIABLES=gedad1 DISPLAY=LABEL
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod > lug_pro [C] BY gedad1 [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cont_prod ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=gedad1 subcont_prod pais_prod lug_pro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas de ecuatorianos por grupos de edad, segn pases de procedencia'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Pases de procedencia'.


*************************************************CUADRO No. 13: Salidas de Ecuatorianos por Ocupacin, segn Pases de Destino*****************************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$=(tip_movi = 2  &  tip_naci = 1).
VARIABLE LABELS filter_$ 'Salida de Ecuatorianos'.
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS ocu_migr2 'Ocupaciones'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_prod subcont_prod pais_prod lug_pro DISPLAY=NONE
  /VLABELS VARIABLES=ocu_migr2 DISPLAY=LABEL
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod > lug_pro [C] BY ocu_migr2 [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=  total cont_prod ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=ocu_migr2 subcont_prod pais_prod lug_pro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Salidas de ecuatorianos por ocupacin, segn pases de destino'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Pases de destino'.

*************************************************CUADRO No. 14: Salidas de Ecuatorianos por Motivo de Viaje, segn Pases de Destino*****************************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$=(tip_movi = 2  &  tip_naci = 1).
VARIABLE LABELS filter_$ "Salidas Ecuatorianos".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS mot_viam 'Motivo Viaje'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_prod subcont_prod pais_prod lug_pro DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod > lug_pro [C] BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=  total cont_prod ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=mot_viam subcont_prod pais_prod lug_pro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Salidas de ecuatorianos por motivo de viaje, segn pases de destino'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Pases de destino'.

*************************************************CUADRO No. 14A: Entradas de Ecuatorianos por Motivo de Viaje, segn Pases de Procedencia*****************************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$=(tip_movi = 1  &  tip_naci = 1).
VARIABLE LABELS filter_$ "Entrada de Ecuatorianos".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS mot_viam 'Motivo Viaje'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_prod subcont_prod pais_prod lug_pro DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod > lug_pro [C] BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=total cont_prod ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=mot_viam subcont_prod pais_prod lug_pro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas de Ecuatorianos por Motivo de Viaje, segn Pases de Procedencia'
CAPTION='Ecuador: Anuario de Entradas y Salidas Internacionales - INEC'
CORNER= 'Pases de Procedencia'.

*******************************************************CUADRO No. 14B: Entradas de Extranjeros por Motivo de Viaje, segn Pases de Procedencia***********************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$=(tip_movi = 1  &  tip_naci = 2).
VARIABLE LABELS filter_$ "Entrada de Extranejros".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS mot_viam 'Motivo Viaje'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_prod subcont_prod pais_prod lug_pro DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod > lug_pro [C] BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cont_prod ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=mot_viam subcont_prod pais_prod lug_pro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas de Extranjeros por Motivo de Viaje, segn Pases de Procedencia'
CAPTION='Ecuador: Anuario de Entradas y Salidas Internacionales - INEC'
CORNER= 'Pases de Procedencia'.

*******************************************CUADRO No. 14C: Salidas de Extranjeros por Motivo de Viaje, segn Pases de Destino***********************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$=(tip_movi = 2  &  tip_naci = 2).
VARIABLE LABELS filter_$ "Salida de Extranjeros".
VALUE LABELS filter_$  0 'No seleccionado'  1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS mot_viam 'Motivo de Viaje'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_prod subcont_prod pais_prod lug_pro DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod > lug_pro [C] BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cont_prod ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=mot_viam subcont_prod pais_prod lug_pro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Salidas de Extranjeros por Motivo de Viaje, segn Pases de Destino'
CAPTION='Ecuador: Anuario de Entradas y Salidas Internacionales - INEC'
CORNER= 'Pases de Destino'.


*********************************************CUADRO No. 15: Entradas de Extranjeros por Grupos de Edad, segn Nacionalidad***********************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$=(tip_movi = 1  &  tip_naci = 2).
VARIABLE LABELS filter_$ "Entrada de Extranjeros".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS gedad1 'Grupos de Edad'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac nac_migr DISPLAY=NONE
  /VLABELS VARIABLES=gedad1 DISPLAY=LABEL
    /TABLE total [C] + cont_nac [C] > subcont_nac [C] > nac_migr [C] BY gedad1 [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=gedad1 subcont_nac nac_migr ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas de Extranjeros por Grupos de Edad, segn Nacionalidad'
CAPTION='Ecuador: Anuario de Entradas y Salidas Internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 16: Entradas de Extranjeros por Ocupacin, segn Nacionalidad***********************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$=(tip_movi = 1  &  tip_naci = 2).
VARIABLE LABELS filter_$ "Entrada de Extranjeros".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS ocu_migr2 'Ocupaciones'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total  cont_nac subcont_nac nac_migr DISPLAY=NONE
  /VLABELS VARIABLES=ocu_migr2 DISPLAY=LABEL
    /TABLE total [C] + cont_nac > subcont_nac > nac_migr [C] BY ocu_migr2 [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=ocu_migr2 subcont_nac nac_migr ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas de extranjeros por ocupacin, segn nacionalidad'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 17: Entradas de Extranjeros por Categora Migratoria, segn Pases de Procedencia***********************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$=(tip_movi = 1  &  tip_naci = 2).
VARIABLE LABELS filter_$ "Entrada de Extranjeros".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_prod subcont_prod pais_prod lug_pro cla_migr1 cla_migr2 DISPLAY=NONE
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod > lug_pro [C] BY total [C] [COUNT F40.0] + cla_migr1 [C] > cla_migr2 [C] [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cont_prod cla_migr1 cla_migr2 ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES=subcont_prod pais_prod lug_pro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas de extranjeros por categora migratoria, segn pases de procedencia'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Pases de procedencia'.

*********************************************CUADRO No. 18: Entradas y Salidas de Extranjeros por Sexo, segn Categora Migratoria***********************************

USE ALL.
TEMPORARY.
alter type tip_naci (F2.0).
COMPUTE filter_$=(tip_naci = 2).
VARIABLE LABELS filter_$ "Extranjeros".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cla_migr3 cla_migr4 tip_movi sex_migr DISPLAY=NONE
    /TABLE total [C] + cla_migr3 [C] > cla_migr4 [C] BY tip_movi [C] > sex_migr [C] [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cla_migr3 tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= cla_migr4 sex_migr ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas y salidas de extranjeros por sexo, segn categora migratoria'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Categora migratoria'.


*********************************************CUADRO No. 19: Entradas de Inmigrantes por Categora Migratoria, segn Nacionalidad***********************************
* Creacin de nuevas etiquetas para algunos valores de ciertas variables, segn el cuadro No. 19

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F2.0).
COMPUTE filter_$=(cla_migr3 = 1 & tip_movi = 1).
VARIABLE LABELS filter_$ "Entrada de Inmigrantes".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS  cla_migr4 'Categora migratoria'.
VALUE LABELS total 1'Total'
/cla_migr4
0'Sin especificar'
1'10 I'
2'10 II'
3'10 III'
4'10 IV'
5'10 V'
6'10 VI'
50'Residentes sin clase migratoria'
67'Categora migratoria 9VII'
21'12 I'
22'12 II'
23'12 III'
24'12 IV'
25'12 V'
26'12 VI'
27'12 VII'
28'12 VIII'
29'12 IX'
41'T1'
42'T2'
43'T3'
60'Prrrogas'
65'12-XI **'
66'Tripulante areo'
68'Tripulante martimo'
70'Doble nacionalidad'
88'Clase migratoria para ecuatorianos'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total  cont_nac subcont_nac nac_migr  DISPLAY=NONE
   /VLABELS VARIABLES=cla_migr4 DISPLAY=LABEL
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] > nac_migr [C] BY cla_migr4 [C] [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= cla_migr4 nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas de inmigrantes por categora migratoria, segn nacionalidad'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.


*********************************************CUADRO No. 20: Salidas de Inmigrantes por Categora Migratoria, segn Nacionalidad***********************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F2.0).
COMPUTE filter_$=(cla_migr3 = 1 & tip_movi = 2).
VARIABLE LABELS filter_$ "Salida de Inmigrantes".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS  cla_migr4'Categora migratoria'.
VALUE LABELS total 1'Total'
/cla_migr4
0'Sin especificar'
1'10 I'
2'10 II'
3'10 III'
4'10 IV'
5'10 V'
6'10 VI'
50'Residentes sin clase migratoria'
67'Categora migratoria 9VII'
21'12 I'
22'12 II'
23'12 III'
24'12 IV'
25'12 V'
26'12 VI'
27'12 VII'
28'12 VIII'
29'12 IX'
41'T1'
42'T2'
43'T3'
60'Prrrogas'
65'12-XI **'
66'Tripulante areo'
68'Tripulante martimo'
70'Doble nacionalidad'
88'Clase migratoria para ecuatorianos'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac nac_migr DISPLAY=NONE
   /VLABELS VARIABLES=cla_migr4 DISPLAY=LABEL
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] > nac_migr [C] BY cla_migr4 [C] [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= cla_migr4 nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Salidas de inmigrantes por categora migratoria, segn nacionalidad'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 21: Entradas de No Inmigrantes por Categora Migratoria, segn Nacionalidad***********************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY. 
alter type tip_movi (F2.0).
COMPUTE filter_$=(cla_migr3 = 2 & tip_movi = 1).
VARIABLE LABELS filter_$  "Entradas de no Inmigrantes".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS  cla_migr5 'Categora migratoria'.
VALUE LABELS total 1'TOTAL'.
value labels cla_migr5
0'Sin especificar'
1'10 I'
2'10 II'
3'10 III'
4'10 IV'
5'10 V'
6'10 VI'
50'Residentes sin clase migratoria'
67'Categora migratoria 9VII'
21'12 I'
22'12 II'
23'12 III'
24'12 IV'
25'12 V'
26'12 VI'
27'12 VII'
28'12 VIII'
29'12 IX'
41'T1'
42'T2'
43'T3'
60'Prrrogas'
65'12-XI **'
66'Tripulante areo'
68'Tripulante martimo'
70'Doble nacionalidad'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac nac_migr DISPLAY=NONE
   /VLABELS VARIABLES=cla_migr5 DISPLAY=LABEL
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] > nac_migr [C] BY cla_migr5 [C] [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= cla_migr5 nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas de no inmigrantes por categora migratoria, segn nacionalidad'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 22: Salidas de No Inmigrantes por Categora Migratoria, segn Nacionalidad***********************************

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
ALTER TYPE tip_movi (F2.0).
COMPUTE filter_$=(cla_migr3 = 2 & tip_movi = 2).
VARIABLE LABELS filter_$ "Salidas de No Inmigrantes".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS  cla_migr5 'Categora Migratoria'.
VALUE LABELS total 1'TOTAL'
/cla_migr5
0'Sin especificar'
1'10 I'
2'10 II'
3'10 III'
4'10 IV'
5'10 V'
6'10 VI'
50'Residentes sin clase migratoria'
67'Categora migratoria 9VII'
21'12 I'
22'12 II'
23'12 III'
24'12 IV'
25'12 V'
26'12 VI'
27'12 VII'
28'12 VIII'
29'12 IX'
41'T1'
42'T2'
43'T3'
60'Prrrogas'
65'12-XI **'
66'Tripulante areo'
68'Tripulante martimo'
70'Doble nacionalidad'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac nac_migr DISPLAY=NONE
   /VLABELS VARIABLES=cla_migr5 DISPLAY=LABEL
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] > nac_migr [C] BY cla_migr5 [C] [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total cont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= cla_migr5 nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Salidas de no inmigrantes por categora migratoria, segn nacionalidad'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 23: Entradas de Ecuatorianos y Extranjeros Inmigrantes y No Inmigrantes por Sexo, segn Grupos Principales de Ocupacin y Poblacin Activa e Inactiva***********************************

*Creacin de las VAR Ecuatorianos y Extranjeros para efectos de obtener el tabulado requerido
 
TEMPORARY. 
alter type tip_naci (F2.0) tip_movi (F2.0) sex_migr (F2.0).
IF (tip_naci=1) ecu=1.
IF (tip_naci=2) ext=2.

ADD VALUE LABELS ecu 1' Ecuatorianos'.
ADD VALUE LABELS ext 2' Extranjeros'.

USE ALL.
COMPUTE filter_$=(tip_movi = 1).
VARIABLE LABELS filter_$ "Entradas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'TOTAL'.
ADD VALUE LABELS cla_migr3 2' ** NO INMIGRANTES'.
VALUE LABELS 
/sex_migr 
1"Hombres" 
2"Mujeres".

FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total ocu_migr2 ecu ext cla_migr3 sex_migr tip_pob DISPLAY=NONE
  /TABLE total [C] + (tip_pob [C] > ocu_migr2 [C]) BY ecu [C] > sex_migr [C] [COUNT F40.0] + (ext [C] > cla_migr3 [C]) > sex_migr [C] [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total ecu ext cla_migr3 tip_pob ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= sex_migr ocu_migr2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas de ecuatorianos y extranjeros inmigrantes y no inmigrantes por sexo, segn grupos principales de ocupacin y poblacin activa e inactiva'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Grupos principales de ocupacin y poblacin activa e inactiva'.


*********************************************CUADRO No. 24: Salidas de Ecuatorianos y Extranjeros Inmigrantes y No Inmigrantes por Sexo, segn Grupos Principales de Ocupacin y Poblacin Activa e Inactiva***********************************

USE ALL.
TEMPORARY. 
alter type tip_movi (F2.0) sex_migr (F2.0).
COMPUTE filter_$=(tip_movi = 2).
VARIABLE LABELS filter_$ "Salidas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'TOTAL'.
ADD VALUE LABELS cla_migr3 2' ** NO INMIGRANTES'.
VALUE LABELS sex_migr 1'Hombres' 2'Mujeres'.

FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total ocu_migr2 ecu ext cla_migr3 sex_migr tip_pob DISPLAY=NONE
  /TABLE total [C] + (tip_pob [C] > ocu_migr2 [C]) BY ecu [C] > sex_migr [C] [COUNT F40.0] + (ext [C] > cla_migr3 [C]) > sex_migr [C] [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total ecu ext cla_migr3 tip_pob ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= sex_migr ocu_migr2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Salidas de ecuatorianos y extranjeros inmigrantes y no inmigrantes por sexo, segn grupos principales de ocupacin y poblacin activa e inactiva'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Grupos principales de ocupacin y poblacin activa e inactiva'.

*********************************************CUADRO No. 25: Salidas de Ecuatorianos por Motivo de Viaje, segn Grupos Principales de Ocupacin y Poblacin Activa e Inactiva***********************************

USE ALL.
TEMPORARY.
alter type tip_movi (F2.0) tip_naci (F2.0).
COMPUTE filter_$=(tip_movi = 2 & tip_naci =1).
VARIABLE LABELS filter_$ "Salidas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
VARIABLE LABELS mot_viam '1/ Motivo de Viaje'.

FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total ocu_migr2 mot_viam tip_pob DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
  /TABLE total [C] + (tip_pob [C] > ocu_migr2 [C]) BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total tip_pob  ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= mot_viam ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=ocu_migr2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Salidas de ecuatorianos por motivo de viaje, segn grupos principales de ocupacin y poblacin activa e inactiva'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Grupos principales de ocupacin y poblacin activa e inactiva'.

*********************************************CUADRO No. 25A: Entradas de Ecuatorianos por Motivo de Viaje, segn Grupos Principales de Ocupacin y Poblacin Activa e Inactiva***********************************

USE ALL.
TEMPORARY.
alter type tip_movi (F2.0) tip_naci (F2.0).
COMPUTE filter_$=(tip_movi = 1 & tip_naci =1).
VARIABLE LABELS filter_$ "Entradas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
VARIABLE LABELS mot_viam '1/ Motivo de Viaje'.

FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total ocu_migr2 mot_viam tip_pob DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
  /TABLE total [C] + (tip_pob [C] > ocu_migr2 [C]) BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total tip_pob  ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= mot_viam ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=ocu_migr2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas de Ecuatorianos por Motivo de Viaje, segn Grupos Principales de Ocupacin y Poblacin Activa e Inactiva'
CAPTION='Ecuador: Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Grupos principales de ocupacin y poblacin activa e inactiva'.

*********************************************CUADRO No. 25B: Entradas de Extranjeros por Motivo de Viaje, segn Grupos Principales de Ocupacin y Poblacin Activa e Inactiva***********************************

USE ALL.
TEMPORARY.
alter type tip_movi (F2.0) tip_naci (F2.0).
COMPUTE filter_$=(tip_movi = 1 & tip_naci =2).
VARIABLE LABELS filter_$ "Entradas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
VARIABLE LABELS mot_viam '1/ Motivo de Viaje'.

FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total ocu_migr2 mot_viam tip_pob DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
  /TABLE total [C] + (tip_pob [C] > ocu_migr2 [C]) BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total tip_pob  ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= mot_viam ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=ocu_migr2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas de extranjeros por motivo de viaje, segn grupos principales de ocupacin y poblacin activa e inactiva'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Grupos principales de ocupacin y poblacin activa e inactiva'.

*********************************************CUADRO No. 25C: Salidas de Extranjeros por Motivo de Viaje, segn Grupos Principales de Ocupacin y Poblacin Activa e Inactiva***********************************

USE ALL.
TEMPORARY.
alter type tip_movi (F2.0) tip_naci (F2.0).
COMPUTE filter_$=(tip_movi = 2 & tip_naci =2).
VARIABLE LABELS filter_$ "Salidas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
VARIABLE LABELS mot_viam '1/ Motivo de Viaje'.

FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total ocu_migr2 mot_viam tip_pob DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
  /TABLE total [C] + (tip_pob [C] > ocu_migr2 [C]) BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total tip_pob  ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= mot_viam ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=ocu_migr2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Salidas de extranjeros por motivo de viaje, segn grupos principales de ocupacin y poblacin activa e inactiva'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Grupos principales de ocupacin y poblacin activa e inactiva'.


*********************************************CUADRO No. 26: Salidas de Ecuatorianos por Motivo de Viaje, segn Sexo y Grupos de Edad***********************************

USE ALL.
TEMPORARY.
alter type tip_movi (F2.0) tip_naci (F2.0) sex_migr (F2.0).
COMPUTE filter_$=(tip_movi = 2 & tip_naci =1).
VARIABLE LABELS filter_$ "Salidas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
VALUE LABELS sex_migr 1'Hombres' 2'Mujeres'.
VARIABLE LABELS mot_viam '1/ Motivo de Viaje'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total sex_migr mot_viam gedad2 DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
  /TABLE total [C] + (sex_migr [C] > gedad2 [C]) BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total sex_migr  ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= mot_viam ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=gedad2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Salidas de ecuatorianos por motivo de viaje, segn sexo y grupos de edad'
CAPTION='1/ Motivo de viaje de acuerdo a formato de Tarjeta Andina'
'Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Sexo y grupos de edad'.

*********************************************CUADRO No. 26A: Entradas de Ecuatorianos por Motivo de Viaje, segn Sexo y Grupos de Edad***********************************

USE ALL.
TEMPORARY.
alter type tip_movi (F2.0) tip_naci (F2.0) sex_migr (F2.0).
COMPUTE filter_$=(tip_movi = 1 & tip_naci =1).
VARIABLE LABELS filter_$ "Entradas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
VALUE LABELS sex_migr 1'Hombres' 2'Mujeres'.
VARIABLE LABELS mot_viam '1/ Motivo de Viaje'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total sex_migr mot_viam gedad2 DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
  /TABLE total [C] + (sex_migr [C] > gedad2 [C]) BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total sex_migr  ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= mot_viam ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=gedad2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas de ecuatorianos por motivo de viaje, segn sexo y grupos de edad'
CAPTION='1/ Motivo de viaje de acuerdo a formato de Tarjeta Andina'
'Anuario de Entradas y Salidas Internacionales - INEC'
CORNER= 'Sexo y grupos de edad'.

*********************************************CUADRO No. 26B: Entradas de Extranjeros por Motivo de Viaje, segn Sexo y Grupos de Edad***********************************

USE ALL.
TEMPORARY.
alter type tip_movi (F2.0) tip_naci (F2.0) sex_migr (F2.0).
COMPUTE filter_$=(tip_movi = 1 & tip_naci =2).
VARIABLE LABELS filter_$ "Entradas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
VALUE LABELS sex_migr 1'Hombres' 2'Mujeres'.
VARIABLE LABELS mot_viam '1/ Motivo de Viaje'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total sex_migr mot_viam gedad2 DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
  /TABLE total [C] + (sex_migr [C] > gedad2 [C]) BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total sex_migr  ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= mot_viam ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=gedad2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas de extranjeros por motivo de viaje, segn sexo y grupos de edad'
CAPTION='1/ Motivo de viaje de acuerdo a formato de Tarjeta Andina'
'Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Sexo y grupos de edad'.


*********************************************CUADRO No. 26C: Salidas de Extranjeros por Motivo de Viaje, segn Sexo y Grupos de Edad***********************************

USE ALL.
TEMPORARY.
alter type tip_movi (F2.0) tip_naci (F2.0) sex_migr (F2.0).
COMPUTE filter_$=(tip_movi = 2 & tip_naci =2).
VARIABLE LABELS filter_$ "Salidas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VALUE LABELS total 1'Total'.
VALUE LABELS sex_migr 1'Hombres' 2'Mujeres'.
VARIABLE LABELS mot_viam '1/ Motivo de Viaje'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total sex_migr mot_viam gedad2 DISPLAY=NONE
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL
  /TABLE total [C] + (sex_migr [C] > gedad2 [C]) BY mot_viam [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= total sex_migr  ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CATEGORIES VARIABLES= mot_viam ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=gedad2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Salidas de extranjeros por motivo de viaje, segn sexo y grupos de edad'
CAPTION='1/ Motivo de viaje de acuerdo a formato de Tarjeta Andina'
'Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Sexo y grupos de edad'.

*********************************************CUADRO No. 27: Entradas y Salidas de Ecuatorianos por Meses, segn Jefaturas de Migracin***********************************

USE ALL.
TEMPORARY.
ALTER TYPE tip_naci (F2.0).
COMPUTE filter_$=(tip_naci =1).
VARIABLE LABELS filter_$ "Ecuatorianos".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS mes_movi 'Meses'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=can_jefm tip_movi mes_movi DISPLAY=NONE
  /VLABELS VARIABLES=mes_movi DISPLAY=LABEL  
   /TABLE can_jefm [C] > tip_movi [C] BY mes_movi [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= tip_movi can_jefm ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=mes_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas y salidas de ecuatorianos por meses, segn jefaturas de migracin'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Jefaturas de migracin'.


*********************************************CUADRO No. 28: Entradas y Salidas de Extranjeros por Meses, segn Jefaturas de Migracin***********************************

USE ALL.
TEMPORARY.
ALTER TYPE tip_naci (F2.0).
COMPUTE filter_$=(tip_naci =2).
VARIABLE LABELS filter_$ "Extranjeros".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS mes_movi 'Meses'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=can_jefm tip_movi mes_movi DISPLAY=NONE
  /VLABELS VARIABLES=mes_movi DISPLAY=LABEL  
   /TABLE can_jefm [C] > tip_movi [C] BY mes_movi [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES= tip_movi can_jefm ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/CATEGORIES VARIABLES=mes_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas y salidas de extranjeros por meses, segn jefaturas de migracin'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Jefaturas de migracin'.

*********************************************CUADRO No. 29: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control de Quito***********************************
* Los cuadros del 29 al 45 exponen los datos por Jefatura de Migracin**

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='1701').
VARIABLE LABELS filter_$ "Jefatura Quito".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] > nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Quito'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.


*********************************************CUADRO No. 30: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control de Guayaquil*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='0901').
VARIABLE LABELS filter_$ "Jefatura Guayaquil".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] > nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Guayaquil'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.


*********************************************CUADRO No. 31: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control de Huaquillas*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='0707').
VARIABLE LABELS filter_$ "Jefatura Huaquillas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] > nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Huaquillas'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 32: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control de Tulcn*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='0401').
VARIABLE LABELS filter_$ "Jefatura Tulcn".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Tulcn'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 33: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control de Macar*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='1108').
VARIABLE LABELS filter_$ "Jefatura Macar".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Macar'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 34: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control de Esmeraldas*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='0801').
VARIABLE LABELS filter_$ "Jefatura Esmeraldas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Esmeraldas'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 35: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control de Manta*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='1308').
VARIABLE LABELS filter_$ "Jefatura Manta".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Manta'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 36: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control de Lago Agrio*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='2105').
VARIABLE LABELS filter_$ "Jefatura Lago Agrio".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Lago Agrio'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.


*********************************************CUADRO No. 37: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control de Salinas*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='2403').
VARIABLE LABELS filter_$ "Jefatura Salinas".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Salinas'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 38: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control de San Lorenzo*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='0805').
VARIABLE LABELS filter_$ "Jefatura San Lorenzo".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de San Lorenzo'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.


*********************************************CUADRO No. 39: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control Latacunga*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='0501').
VARIABLE LABELS filter_$ "Jefatura Latacunga".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, Salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Latacunga'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 40: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control Machala*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='0701').
VARIABLE LABELS filter_$ "Jefatura Machala".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control de Machala'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 41: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control La Balsa*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='1902').
VARIABLE LABELS filter_$ "Jefatura La Balsa".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control La Balsa'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.

*********************************************CUADRO No. 42: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control Nuevo Rocafuerte*********************************** 


SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='2202').
VARIABLE LABELS filter_$ "Jefatura Nuevo Rocafuerte".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control Nuevo Rocafuerte'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.


*********************************************CUADRO No. 43: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control Puerto El Carmen*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='2103').
VARIABLE LABELS filter_$ "Puerto El Carmen".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control Puerto El Carmen'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.


*********************************************CUADRO No. 44: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Santa Cruz*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='2003').
VARIABLE LABELS filter_$ "Puerto Santa Cruz".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control Santa Cruz'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.


*********************************************CUADRO No. 45: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de San Cristbal*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='2001').
VARIABLE LABELS filter_$ "Puerto San Cristbal".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control San Cristbal'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.


*********************************************CUADRO No. 46: Entradas, Salidas y Saldos Brutos de Ecuatorianos y Extranjeros por Sexo, segn Nacionalidad: Jefatura de Control Tufio*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
COMPUTE filter_$=(can_jefm ='0401').
VARIABLE LABELS filter_$ "Jefatura Tufio".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS saldo 'Saldos Brutos'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_nac subcont_nac  nac_migr tip_movi sex_migr DISPLAY=NONE
  /VLABELS VARIABLES=saldo DISPLAY=LABEL  
   /TABLE total [C] + cont_nac [C] > subcont_nac [C] >  nac_migr [C] BY (tip_movi [C] > sex_migr [C] [COUNT F40.0]) + saldo [S][SUM F40.0]
  /SLABELS VISIBLE=NO
 /CATEGORIES VARIABLES= total cont_nac tip_movi ORDER=A KEY=VALUE EMPTY=EXCLUDE
/CATEGORIES VARIABLES=sex_migr  nac_migr subcont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
/TITLES TITLE= 'Entradas, salidas y saldos brutos de ecuatorianos y extranjeros por sexo, segn nacionalidad: Jefatura de Control Tufio'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Nacionalidad'.


******************************************** A   N   E   X   O   S ***************************************

*********************************************Anexo No. 1: Entradas y Salidas de Ecuatorianos por tipo de movimiento, segn Pases de Procedencia o Destino*********************************** 
**Para completar la serie histrica en el ao de la investigacin, Insumos para completar el respectivo cuadro**

TEMPORARY.
alter type pais_prod (F3.0).

numeric pais_prod1 (F3.0).
compute pais_prod1 = pais_prod.

recode pais_prod1
(100, 109 = 199) (111 thru 115=199) (117, 119 =199) (121, thru 124=199) (127 thru 156= 199)
(210, 213, 236 =298) (201, 205 thru 208, 212, 214, 216 thru 218, 220 thru 225, 228 thru 235, 237 thru 260 = 299)
(301 thru 356 = 399)
(401 thru 466 = 499)
(501 thru 533 = 599)
(385, 999 = 999).

value labels pais_prod1
101 "Argentina"
102 "Bolivia"
103 "Brasil"
104 "Canad"
105 "Colombia"
106 "Costa Rica"
107 "Cuba"
108 "Chile"
110 "Estados Unidos"
116 "Mxico"
118 "Panam"
120 "Per"
125 "Uruguay"
126 "Venezuela"
199 "Resto de Amrica"
202 "Alemania"
203 "Austria"
204 "Belgica"
209 "Espaa"
211 "Francia"
215 "Holanda (Pases Bajos)"
219 "Italia"
298 "Reino Unido"
226 "Suecia"
227 "Suiza"
299 "Resto de Europa"
399 "Asia"
499 "frica"
599 "Oceana"
999 "Sin especificar".
execute.

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$= (tip_naci = 1).
VARIABLE LABELS filter_$ "Ecuatorianos".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS tip_movi 'Tipo_movi'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_prod subcont_prod pais_prod1 DISPLAY=NONE
  /VLABELS VARIABLES=tip_movi DISPLAY=LABEL
    /TABLE total [C] + cont_prod > subcont_prod > pais_prod1 [C] BY tip_movi [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=  total cont_prod ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=tip_movi subcont_prod pais_prod1 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas y salidas de ecuatorianos por tipo de movimiento, segn pases de procedencia o destino'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Pases de procedencia o destino'.


*********************************************Anexo No. 2: Entradas y Salidas de Extranjeros por tipo de movimiento, segn Pases de Procedencia o Destino*********************************** 
**Para completar la serie histrica en el ao de la investigacin, Insumos para completar el respectivo cuadro**

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE filter_$= (tip_naci = 2).
VARIABLE LABELS filter_$ "Extranjeros".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMATS filter_$ (F1.0).
TEMPORARY.
VARIABLE LABELS tip_movi 'Tipo_movi'.
VALUE LABELS total 1'Total'.
FILTER BY filter_$.
CTABLES
  /VLABELS VARIABLES=total cont_prod pais_prod1 DISPLAY=NONE
  /VLABELS VARIABLES=tip_movi DISPLAY=LABEL
    /TABLE total [C] + cont_prod > pais_prod1 [C] BY tip_movi [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=  total cont_prod ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=tip_movi pais_prod1 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas y Salidas de Extranjeros por tipo de movimiento, segn Pases de Procedencia o Destino'
CAPTION='Ecuador: Anuario de Entradas y Salidas Internacionales - INEC'
CORNER= 'Pases de Procedencia o Destino'.

*********************************************Anexo No. 3: Entradas y Salidas de Ecuatorianos y Extranjeros, segn Jefaturas de Migracin*********************************** 

variable level can_jefm (NOMINAL).
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=tip_movi can_jefm tip_naci DISPLAY=NONE
  /TABLE tip_movi > can_jefm BY tip_naci [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=tip_movi tip_naci ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=can_jefm ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES TITLE= 'Entradas y Salidas de Ecuatorianos y Extranjeros, segn Jefaturas de Migracin'
CAPTION='Ecuador: Anuario de Entradas y Salidas Internacionales - INEC'
CORNER= 'Jefaturas de Migracin'.

*********************************************Anexo No. 4: Salidas de Ecuatorianos por sexo, segn Motivos de Viaje*********************************** 

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=mot_viam DISPLAY=LABEL  /VLABELS VARIABLES=tip_movi tip_naci sex_migr 
    DISPLAY=NONE
  /TABLE mot_viam [C] BY tip_movi [C] > tip_naci [C] > sex_migr [C][COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=mot_viam [0, 1, 2, 3, 4, 9, OTHERNM] EMPTY=exclude TOTAL=YES 
    POSITION=BEFORE
  /CATEGORIES VARIABLES=tip_movi [2] EMPTY=exclude
  /CATEGORIES VARIABLES=tip_naci [1] EMPTY=exclude
  /CATEGORIES VARIABLES=sex_migr [1, 2, OTHERNM] EMPTY=exclude TOTAL=YES POSITION=BEFORE.


*********************************************Anexo No. 5: Salidas de Extranjeros, segn principales Nacionalidades*********************************** 

SET MXCELLS AUTOMATIC. 

USE ALL.
TEMPORARY.
alter type tip_movi (F1.0) tip_naci (F1.0).
COMPUTE ext= (tip_naci = 2 & tip_movi = 2).
VARIABLE LABELS ext "Extranjeros".
VALUE LABELS ext 0 'No seleccionado' 1 'Seleccionado'.
FORMATS ext (F1.0).
TEMPORARY.
VARIABLE LABELS tip_movi 'Tipo_movi'.
VALUE LABELS total 1'Total'.
variable level ext (Nominal).
FILTER BY ext.

alter type  nac_migr (F3.0).

numeric nac_migr1 (F3.0).
compute nac_migr1 =  nac_migr.

recode nac_migr1
(100, 109 = 199) (111 thru 115=199) (117, 119 =199) (121, thru 124=199) (127 thru 156= 199)
(210, 213, 236 =298) (201, 205 thru 207, 212, 214, 216, 218, 220 thru 225, 228 thru 235, 237 thru 260 = 299)
(301 thru 356 = 399)
(401 thru 466 = 499)
(501 thru 533 = 599)
(385, 999 = 999).

execute.

value labels nac_migr1
101 "Argentina"
102 "Bolivia"
103 "Brasil"
104 "Canad"
105 "Colombia"
106 "Costa Rica"
107 "Cuba"
108 "Chile"
110 "Estados Unidos"
116 "Mxico"
118 "Panam"
120 "Per"
125 "Uruguay"
126 "Venezuela"
199 "Resto de Amrica"
202 "Alemania"
203 "Austria"
204 "Belgica"
208 "Dinamarca"
209 "Espaa"
211 "Francia"
215 "Holanda (Pases Bajos)"
217 "Irlanda"
219 "Italia"
298 "Reino Unido"
226 "Suecia"
227 "Suiza"
299 "Resto de Europa"
399 "Asia"
499 "frica"
599 "Oceana"
999 "Sin especificar".
execute.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=total cont_nac nac_migr1 ext DISPLAY=NONE
  /TABLE cont_nac > nac_migr1 [C] BY ext [COUNT F40.0]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cont_nac ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=nac_migr1 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ext [1] EMPTY=EXCLUDE
 /TITLES TITLE= 'Salidas de extranjeros, segn principales nacionalidades'
CAPTION='Anuario de entradas y salidas internacionales - INEC'
CORNER= 'Principales nacionalidades'.

